#! /bin/bash

prob=$1; shift
hexvuefile=ring.hexvue

cat <<EOF > $hexvuefile
! 
hvuload $prob
NEWFRAME WIDTH 480 HEIGHT 480 X 100 Y 100
edgeflag on
edgecolor white
shrink 1
hvuchattribs
!
HVUPICKSET 10 ! z
HVUSETDISP 0 1 2 sxsysz 1 1 1
! 
view axes off
view bground grey50
view iso
layer on   0
layer on   1
layer off 15
layer on  16
layer 0
!
fit
RENDER SHADE
render ldir -1 2 3
! fringe 1 18
VIEW REDRAW
! HVUQUIT
EOF


hexvue -c $hexvuefile 
#rm -f $hexvuefile
